Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface JMSDestCommonMBean

All Known Subinterfaces:
  JMSDestinationMBean, JMSQueueMBean, JMSTemplateMBean, JMSTopicMBean

public interface JMSDestCommonMBean
extends ConfigurationMBean, JMSConstants

This class represents common JMS destination and JMS template methods.

A JMS destination identifies either a queue (Point-To-Point) or a topic (Pub/Sub) for a JMS server. A JMS template provides an efficient means of defining multiple destinations with similar attribute settings.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_ALL, ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, ACKNOWLEDGE_ONE, ACKNOWLEDGE_PREVIOUS, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, DISCARD, ENABLED_DEFAULT, ENABLED_FALSE, ENABLED_TRUE, ERRORDESTINATION, FIFO, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, LOGGING, NO_DELIVERY, NON_PERSISTENT, PERSISTENT, PREEMPTIVE, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, RANDOM, ROUND_ROBIN, SEND_QUOTA_BLOCKING_TIMEOUT, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, SYNCWRITE_CACHEFLUSH, SYNCWRITE_DIRECTWRITE, SYNCWRITE_DISABLED, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Method Summary
`boolean` | `addDestinationKey(JMSDestinationKeyMBean destinationKey)` Add a destination key to the JMS template or destination.
`long` | `getBytesMaximum()` The maximum bytes quota (total amount of bytes) that can be stored in this destination.
`long` | `getBytesThresholdHigh()` The upper threshold value that triggers events based on the number of bytes stored in the destination.
`long` | `getBytesThresholdLow()` The lower threshold value that triggers events based on the number of bytes stored in the destination.
`java.lang.String` | `getDeliveryModeOverride()` The delivery mode assigned to all messages that arrive at the destination regardless of the DeliveryMode specified by the message producer.
`JMSDestinationKeyMBean[]` | `getDestinationKeys()` Return a read-only array of the destination keys of the JMS template or destination.
`JMSDestinationMBean` | `getErrorDestination()` The name of the target error destination for messages that have reached their redelivery limit.
`java.lang.String` | `getExpirationLoggingPolicy()` The policy that defines what information about the message is logged when the Expiration Policy is set to Log.
`java.lang.String` | `getExpirationPolicy()` The message Expiration Policy to use when an expired message is encountered on a destination.
`int` | `getMaximumMessageSize()` The maximum size of a message that will be accepted from producers on this destination.
`long` | `getMessagesMaximum()` The maximum message quota (total amount of messages) that can be stored in this destination.
`long` | `getMessagesThresholdHigh()` The upper threshold value that triggers events based on the number of messages stored in the destination.
`long` | `getMessagesThresholdLow()` The lower threshold value that triggers events based on the number of messages stored in the destination.
`int` | `getPriorityOverride()` The priority assigned to all messages that arrive at the destination, regardless of the Priority specified by the message producer.
`long` | `getRedeliveryDelayOverride()` Defines the delay, in milliseconds, before rolled back or recovered messages are redelivered, regardless of the RedeliveryDelay specified by the consumer and/or connection factory.
`int` | `getRedeliveryLimit()` The number of redelivery tries a message can have before it is moved to the error destination.
`java.lang.String` | `getTimeToDeliverOverride()` Defines the default delay, either in milliseconds or as a schedule, between when a message is produced and when it is made visible on its target destination, regardless of the delivery time specified by the producer and/or connection factory.
`long` | `getTimeToLiveOverride()` The time-to-live value assigned to all messages that arrive at the destination, regardless of the TimeToLive specified by the message producer.
`boolean` | `removeDestinationKey(JMSDestinationKeyMBean destinationKey)` Remove a destination key from the JMS template or destination.
`void` | `setBytesMaximum(long bytesMaximum)` The maximum bytes quota (total amount of bytes) that can be stored in this destination.
`void` | `setBytesThresholdHigh(long bytesThresholdHigh)` The upper threshold value that triggers events based on the number of bytes stored in the destination.
`void` | `setBytesThresholdLow(long bytesThresholdLow)` The lower threshold value that triggers events based on the number of bytes stored in the destination.
`void` | `setCreationTime(long time)`
`void` | `setDeliveryModeOverride(java.lang.String deliveryModeOverride)` The delivery mode assigned to all messages that arrive at the destination regardless of the DeliveryMode specified by the message producer.
`void` | `setDestinationKeys(JMSDestinationKeyMBean[] keys)` The list of potential destination keys for for sorting the messages that arrive on the JMS template or destination.
`void` | `setErrorDestination(JMSDestinationMBean errorDestination)` The name of the target error destination for messages that have reached their redelivery limit.
`void` | `setExpirationLoggingPolicy(java.lang.String jmsPolicyString)` The policy that defines what information about the message is logged when the Expiration Policy is set to Log.
`void` | `setExpirationPolicy(java.lang.String policy)` The message Expiration Policy to use when an expired message is encountered on a destination.
`void` | `setMaximumMessageSize(int maxMessageSize)` The maximum size of a message that will be accepted from producers on this destination.
`void` | `setMessagesMaximum(long messagesMaximum)` The maximum message quota (total amount of messages) that can be stored in this destination.
`void` | `setMessagesThresholdHigh(long messagesThresholdHigh)` The upper threshold value that triggers events based on the number of messages stored in the destination.
`void` | `setMessagesThresholdLow(long messagesThresholdLow)` The lower threshold value that triggers events based on the number of messages stored in the destination.
`void` | `setPriorityOverride(int priorityOverride)` The priority assigned to all messages that arrive at the destination regardless of the Priority specified by the message producer.
`void` | `setRedeliveryDelayOverride(long redeliveryDelayOverride)` Defines the delay, in milliseconds, before rolled back or recovered messages are redelivered, regardless of the RedeliveryDelay specified by the consumer and/or connection factory.
`void` | `setRedeliveryLimit(int redeliveryLimit)` The number of redelivery tries a message can have before it is moved to the error destination.
`void` | `setTimeToDeliverOverride(java.lang.String timeToDeliverOverride)` Defines the default delay, in milliseconds or as a schedule, between when a message is produced and when it is made visible on its target destination, regardless of the TimeToDeliver specified by the producer and/or connection factory.
`void` | `setTimeToLiveOverride(long timeToLiveOverride)` The time-to-live value assigned to all messages that arrive at the destination, regardless of the TimeToLive specified by the message producer.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getDestinationKeys

    public JMSDestinationKeyMBean[] getDestinationKeys()

  Return a read-only array of the destination keys of the JMS template or destination.

### addDestinationKey

    public boolean addDestinationKey(JMSDestinationKeyMBean destinationKey)

  Add a destination key to the JMS template or destination.

  Legal Value: JMSLegalHelper.legalOrder(((JMSDestCommonMBean)self).getDestinationKeys(), (WebLogicObjectName)value)
  Parameters:
    `destinationKey` - a reference to JMSDestinationKeyMBean

### setDestinationKeys

    public void setDestinationKeys(JMSDestinationKeyMBean[] keys)
                            throws javax.management.InvalidAttributeValueException

  The list of potential destination keys for for sorting the messages that arrive on the JMS template or destination.

  The keys are ordered from most significant to least significant. If more than one key is specified, a key based on the JMSMessageID can only be the last key in the list.

  Note: If JMSMessageID is not defined in the key, it is implicitly assumed to be the last key and is set as "Ascending" (FIFO) for the sort order.

  Legal Value: (JMSLegalHelper.legalOrder(((JMSDestCommonMBean)self).getDestinationKeys(), value))
  Parameters:
    `destinationKeys` - an array of JMSDestinationKeyMBean

### removeDestinationKey

    public boolean removeDestinationKey(JMSDestinationKeyMBean destinationKey)

  Remove a destination key from the JMS template or destination.

  Parameters:
    `destinationKey` - a reference to JMSDestinationKeyMBean

### getBytesMaximum

    public long getBytesMaximum()

  The maximum bytes quota (total amount of bytes) that can be stored in this destination. The default value of -1 specifies that there is no WebLogic-imposed limit on the number of bytes that can be stored in the destination. However, excessive bytes volume can cause memory saturation, so this value should correspond to the total amount of available system memory relative to the rest of your application load.

  Range of Values: >= BytesThresholdHigh

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  Note: If a JMS template is used for distributed destination members, then this setting applies only to those specific members and not the distributed destination set as a whole.

### setBytesMaximum

    public void setBytesMaximum(long bytesMaximum)
                         throws javax.management.InvalidAttributeValueException,
                                DistributedManagementException

  The maximum bytes quota (total amount of bytes) that can be stored in this destination. The default value of -1 specifies that there is no WebLogic-imposed limit on the number of bytes that can be stored in the destination. However, excessive bytes volume can cause memory saturation, so this value should correspond to the total amount of available system memory relative to the rest of your application load.

  Range of Values: >= BytesThresholdHigh

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  Note: If a JMS template is used for distributed destination members, then this setting applies only to those specific members and not the distributed destination set as a whole.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((value >= 0) && (value >= ((JMSDestCommonMBean)self).getBytesThresholdHigh()))
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE

### getBytesThresholdHigh

    public long getBytesThresholdHigh()

  The upper threshold value that triggers events based on the number of bytes stored in the destination. If the number of bytes exceeds this threshold, the triggered events are:

  - Log Messages - A message is logged on the server indicating a high threshold condition.

  - Bytes Paging - If bytes paging is enabled (and a paging store has been configured), then destination-level bytes paging is started.

  - Flow Control - If flow control is enabled, the destination becomes armed and instructs producers to begin decreasing their message flow.

  A value of -1 specifies that the value is not set and that bytes paging, flow control, and threshold log messages are disabled for the destination.

  Range of Values: <= BytesMaximum; >BytesThresholdLow

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  Note: Bytes paging cannot be dynamically disabled by resetting the value to -1. To dynamically disable paging, you could set the value to a very large number, so that paging would not be triggered.

### setBytesThresholdHigh

    public void setBytesThresholdHigh(long bytesThresholdHigh)
                               throws javax.management.InvalidAttributeValueException,
                                      DistributedManagementException

  The upper threshold value that triggers events based on the number of bytes stored in the destination. If the number of bytes exceeds this threshold, the triggered events are:

  - Log Messages - A message is logged on the server indicating a high threshold condition.

  - Bytes Paging - If bytes paging is enabled (and a paging store has been configured), then destination-level bytes paging is started.

  - Flow Control - If flow control is enabled, the destination becomes armed and instructs producers to begin decreasing their message flow.

  A value of -1 specifies that the value is not set and that bytes paging, flow control, and threshold log messages are disabled for the destination.

  Range of Values: <= BytesMaximum; >BytesThresholdLow

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  Note: Bytes paging cannot be dynamically disabled by resetting the value to -1. To dynamically disable paging, you could set the value to a very large number, so that paging would not be triggered.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || (((( JMSDestCommonMBean)self).getBytesThresholdLow() < value) && ((((JMSDestCommonMBean)self).getBytesMaximum() == -1) || (value <= ((JMSDestCommonMBean)self).getBytesMaximum())))
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE

### getBytesThresholdLow

    public long getBytesThresholdLow()

  The lower threshold value that triggers events based on the number of bytes stored in the destination. If the number of bytes falls below this threshold, the triggered events are:

  - Log Messages - A message is logged on the server indicating that the threshold condition has cleared.

  - Bytes Paging - If bytes paging is enabled, paging is stopped (if paging is occurring).

  - Flow Control - If flow control is enabled, the destination becomes disarmed and instructs producers to begin increasing their message flow.

  A value of -1 specifies that the value is not set and that bytes paging, flow control, and threshold log messages are disabled for the destination.

  Range of Values: < BytesThresholdHigh

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

### setBytesThresholdLow

    public void setBytesThresholdLow(long bytesThresholdLow)
                              throws javax.management.InvalidAttributeValueException,
                                     DistributedManagementException

  The lower threshold value that triggers events based on the number of bytes stored in the destination. If the number of bytes falls below this threshold, the triggered events are:

  - Log Messages - A message is logged on the server indicating that the threshold condition has cleared.

  - Bytes Paging - If bytes paging is enabled, paging is stopped (if paging is occurring).

  - Flow Control - If flow control is enabled, the destination becomes disarmed and instructs producers to begin increasing their message flow.

  A value of -1 specifies that the value is not set and that bytes paging, flow control, and threshold log messages are disabled for the destination.

  Range of Values: < BytesThresholdHigh

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((0 <= value) && (((JMSDestCommonMBean)self).getBytesThresholdHigh() == -1 || value < ((JMSDestCommonMBean)self).getBytesThresholdHigh()))
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE

### getMessagesMaximum

    public long getMessagesMaximum()

  The maximum message quota (total amount of messages) that can be stored in this destination. The default value of -1 specifies that there is no WebLogic-imposed limit on the number of messages that can be stored in the destination. However, excessive message volume can cause memory saturation, so this value should correspond to the total amount of available system memory relative to the rest of your application load.

  Range of Values: >= MessagesThresholdHigh

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  Note: If a JMS template is used for distributed destination members, then this setting applies only to those specific members and not the distributed destination set as a whole.

### setMessagesMaximum

    public void setMessagesMaximum(long messagesMaximum)
                            throws javax.management.InvalidAttributeValueException,
                                   DistributedManagementException

  The maximum message quota (total amount of messages) that can be stored in this destination. The default value of -1 specifies that there is no WebLogic-imposed limit on the number of messages that can be stored in the destination. However, excessive message volume can cause memory saturation, so this value should correspond to the total amount of available system memory relative to the rest of your application load.

  Range of Values: >= MessagesThresholdHigh

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  Note: If a JMS template is used for distributed destination members, then this setting applies only to those specific members and not the distributed destination set as a whole.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((value >= 0) && (value >= ((JMSDestCommonMBean)self).getMessagesThresholdHigh()))
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE

### getMessagesThresholdHigh

    public long getMessagesThresholdHigh()

  The upper threshold value that triggers events based on the number of messages stored in the destination. If the number of messages exceeds this threshold, the triggered events are:

  - Log Messages - A message is logged on the server indicating a high threshold condition.

    Messages Paging - If messages paging is enabled (and a paging store has been configured), then destination-level messages paging is started.

  - Flow Control - If flow control is enabled, the destination becomes armed and instructs producers to begin decreasing their message flow.

  A value of -1 specifies that the value is not set and that messages paging, flow control, and threshold log messages are disabled for the destination.

  Range of Values: <= MessagesMaximum; >MessagesThresholdLow

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  Note: Messages paging cannot be dynamically disabled by resetting the the value to -1. To dynamically disable paging, you could set the value to a very large number, so that paging would not be triggered.

### setMessagesThresholdHigh

    public void setMessagesThresholdHigh(long messagesThresholdHigh)
                                  throws javax.management.InvalidAttributeValueException,
                                         DistributedManagementException

  The upper threshold value that triggers events based on the number of messages stored in the destination. If the number of messages exceeds this threshold, the triggered events are:

  - Log Messages - A message is logged on the server indicating a high threshold condition.

    Messages Paging - If messages paging is enabled (and a paging store has been configured), then destination-level messages paging is started.

  - Flow Control - If flow control is enabled, the destination becomes armed and instructs producers to begin decreasing their message flow.

  A value of -1 specifies that the value is not set and that messages paging, flow control, and threshold log messages are disabled for the destination.

  Range of Values: <= MessagesMaximum; >MessagesThresholdLow

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  Note: Messages paging cannot be dynamically disabled by resetting the the value to -1. To dynamically disable paging, you could set the value to a very large number, so that paging would not be triggered.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((((JMSDestCommonMBean)self).getMessagesThresholdLow() < value) && ((((JMSDestCommonMBean)self).getMessagesMaximum() == -1) || (value <= ((JMSDestCommonMBean)self).getMessagesMaximum())))
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE

### getMessagesThresholdLow

    public long getMessagesThresholdLow()

  The lower threshold value that triggers events based on the number of messages stored in the destination. If the number of messages falls below this threshold, the triggered events are:

  - Log Messages - A message is logged on the server indicating that the threshold condition has cleared.

    Messages Paging - If messages paging is enabled, paging is stopped (if paging is occurring).

  - Flow Control - If flow control is enabled, the destination becomes disarmed and instructs producers to begin increasing their message flow.

  A value of -1 specifies that the value is not set and that messages paging, flow control, and threshold log messages are disabled for the destination.

  Range of Values: < MessagesThresholdHigh

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

### setMessagesThresholdLow

    public void setMessagesThresholdLow(long messagesThresholdLow)
                                 throws javax.management.InvalidAttributeValueException,
                                        DistributedManagementException

  The lower threshold value that triggers events based on the number of messages stored in the destination. If the number of messages falls below this threshold, the triggered events are:

  - Log Messages - A message is logged on the server indicating that the threshold condition has cleared.

    Messages Paging - If messages paging is enabled, paging is stopped (if paging is occurring).

  - Flow Control - If flow control is enabled, the destination becomes disarmed and instructs producers to begin increasing their message flow.

  A value of -1 specifies that the value is not set and that messages paging, flow control, and threshold log messages are disabled for the destination.

  Range of Values: < MessagesThresholdHigh

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((0 <= value) && (((JMSDestCommonMBean)self).getMessagesThresholdHigh() == -1 || value < ((JMSDestCommonMBean)self).getMessagesThresholdHigh()))
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE

### getPriorityOverride

    public int getPriorityOverride()

  The priority assigned to all messages that arrive at the destination, regardless of the Priority specified by the message producer.

  The default value (-1) specifies that the destination will not override the Priority setting.

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

### setPriorityOverride

    public void setPriorityOverride(int priorityOverride)
                             throws javax.management.InvalidAttributeValueException,
                                    DistributedManagementException

  The priority assigned to all messages that arrive at the destination regardless of the Priority specified by the message producer.

  The default value (-1) specifies that the destination will not override the Priority setting.

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((JMSConstants.PRIORITY_MINIMUM <= value) && (value <= JMSConstants.PRIORITY_MAXIMUM))
  Legal Minimum Value: -1
  Legal Maximum Value: JMSConstants.PRIORITY_MAXIMUM

### getTimeToDeliverOverride

    public java.lang.String getTimeToDeliverOverride()

  Defines the default delay, either in milliseconds or as a schedule, between when a message is produced and when it is made visible on its target destination, regardless of the delivery time specified by the producer and/or connection factory.

  The default value (-1) specifies that the destination will not override the TimeToDeliver setting. The TimeToDeliverOverride can be specified either as a long or as a schedule.

  Note: Changing the TimeToDeliverOverride only affects future message delivery, it does not affect message delivery of already produced messages.

  See Also:
    `Schedule`

### setTimeToDeliverOverride

    public void setTimeToDeliverOverride(java.lang.String timeToDeliverOverride)
                                  throws javax.management.InvalidAttributeValueException,
                                         DistributedManagementException

  Defines the default delay, in milliseconds or as a schedule, between when a message is produced and when it is made visible on its target destination, regardless of the TimeToDeliver specified by the producer and/or connection factory.

  The default value (-1) specifies that the destination will not override the TimeToDeliver setting. The TimeToDeliverOverride can be specified either as a long or as a schedule.

  Note: Changing the TimeToDeliverOverride only affects future message delivery, it does not affect message delivery of already produced messages.

  A dynamic MBean attribute
  Default Value: "-1"
  Legal Value: (JMSLegalHelper.legalTimeToDeliverOverride(value))
  See Also:
    `Schedule`

### getRedeliveryDelayOverride

    public long getRedeliveryDelayOverride()

  Defines the delay, in milliseconds, before rolled back or recovered messages are redelivered, regardless of the RedeliveryDelay specified by the consumer and/or connection factory. Redelivered queue messages are put back into their originating destination; redelivered topic messages are put back into their originating subscription.

  The default value (-1) specifies that the destination will not override the RedeliveryDelay setting.

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  Note: Changing the RedeliveryDelayOverride only affects future rollbacks and recovers, it does not affect rollbacks and recovers that have already occurred.

### setRedeliveryDelayOverride

    public void setRedeliveryDelayOverride(long redeliveryDelayOverride)
                                    throws javax.management.InvalidAttributeValueException,
                                           DistributedManagementException

  Defines the delay, in milliseconds, before rolled back or recovered messages are redelivered, regardless of the RedeliveryDelay specified by the consumer and/or connection factory. Redelivered queue messages are put back into their originating destination; redelivered topic messages are put back into their originating subscription.

  The default value (-1) specifies that the destination will not override the RedeliveryDelay setting.

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  Note: Changing the RedeliveryDelayOverride only affects future rollbacks and recovers, it does not affect rollbacks and recovers that have already occurred.

  A dynamic MBean attribute
  Default Value: -1
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE

### setErrorDestination

    public void setErrorDestination(JMSDestinationMBean errorDestination)
                             throws javax.management.InvalidAttributeValueException,
                                    DistributedManagementException

  The name of the target error destination for messages that have reached their redelivery limit. If no error destination is configured, then such messages are simply dropped. If a message has expired and the Expiration Policy is set to Redirect, then the message is moved to the specified Error Destination.

  Note: The error destination must be a destination that is configured on the local JMS server.

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  A dynamic MBean attribute
  Default Value: null
  Legal Value: ((value != void && value.getName() != void && value.getName().length() != 0)?(JMSLegalHelper.legalErrorDestination(self, value)):(JMSLegalHelper.legalErrorDestinationForAME(self)))
  Secure Value: null

### getErrorDestination

    public JMSDestinationMBean getErrorDestination()

  The name of the target error destination for messages that have reached their redelivery limit. If no error destination is configured, then such messages are simply dropped. If a message has expired and the Expiration Policy is set to Redirect, then the message is moved to the specified Error Destination.

  Note: The error destination must be a destination that is configured on the local JMS server.

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

### getRedeliveryLimit

    public int getRedeliveryLimit()

  The number of redelivery tries a message can have before it is moved to the error destination. This setting overrides any redelivery limit set by the message sender. If the redelivery limit is configured, but no error destination is configured, then persistent and non-persistent messages are simply dropped (deleted) when they reach their redelivery limit.

  Note: The redelivery limit with no error destination behavior also applies to transactional messages, which are not rolled back for future redelivery and no exception is thrown.

  The default value (-1) specifies that the destination will not override the message sender's redelivery limit setting. When the value is set to zero, messages are received at-most once. No redelivery attempts are made in the event of a rollback or receive. Instead, messages are either moved to the configured error destination or are simply deleted.

  This attribute is dynamically configurable, but only incoming messages are impacted; previously sent messages continue to use their original redelivery limit.

  Note: The number of times a message has been redelivered is not persisted. This means that after a restart, the number of delivery attempts on each message is reset to zero.

### setRedeliveryLimit

    public void setRedeliveryLimit(int redeliveryLimit)
                            throws javax.management.InvalidAttributeValueException,
                                   DistributedManagementException

  The number of redelivery tries a message can have before it is moved to the error destination. This setting overrides any redelivery limit set by the message sender. If the redelivery limit is configured, but no error destination is configured, then persistent and non-persistent messages are simply dropped (deleted) when they reach their redelivery limit.

  Note: The redelivery limit with no error destination behavior also applies to transactional messages, which are not rolled back for future redelivery and no exception is thrown.

  The default value (-1) specifies that the destination will not override the message sender's redelivery limit setting. When the value is set to zero, messages are received at-most once. No redelivery attempts are made in the event of a rollback or receive. Instead, messages are either moved to the configured error destination or are simply deleted.

  This attribute is dynamically configurable, but only incoming messages are impacted; previously sent messages continue to use their original redelivery limit.

  Note: The number of times a message has been redelivered is not persisted. This means that after a restart, the number of delivery attempts on each message is reset to zero.

  A dynamic MBean attribute
  Default Value: -1
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE

### getTimeToLiveOverride

    public long getTimeToLiveOverride()

  The time-to-live value assigned to all messages that arrive at the destination, regardless of the TimeToLive specified by the message producer.

  The default value (-1) specifies that the destination will not override the TimeToLive setting.

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

### setTimeToLiveOverride

    public void setTimeToLiveOverride(long timeToLiveOverride)
                               throws javax.management.InvalidAttributeValueException,
                                      DistributedManagementException

  The time-to-live value assigned to all messages that arrive at the destination, regardless of the TimeToLive specified by the message producer.

  The default value (-1) specifies that the destination will not override the TimeToLive setting.

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  A dynamic MBean attribute
  Default Value: -1
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE

### getDeliveryModeOverride

    public java.lang.String getDeliveryModeOverride()

  The delivery mode assigned to all messages that arrive at the destination regardless of the DeliveryMode specified by the message producer.

  A value of `No-Delivery` specifies that the DeliveryMode will not be overridden.

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

### setDeliveryModeOverride

    public void setDeliveryModeOverride(java.lang.String deliveryModeOverride)
                                 throws javax.management.InvalidAttributeValueException,
                                        DistributedManagementException

  The delivery mode assigned to all messages that arrive at the destination regardless of the DeliveryMode specified by the message producer.

  A value of `No-Delivery` specifies that the DeliveryMode will not be overridden.

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  A dynamic MBean attribute
  Default Value: JMSConstants.NO_DELIVERY
  Legal Values: JMSConstants.PERSISTENT,JMSConstants.NON_PERSISTENT,JMSConstants.NO_DELIVERY

### setExpirationPolicy

    public void setExpirationPolicy(java.lang.String policy)
                             throws javax.management.InvalidAttributeValueException

  The message Expiration Policy to use when an expired message is encountered on a destination. The valid expiration policies are:

  None - Same as the Discard policy; expired messages are simply removed from the destination.

  Discard - Removes expired messages from the messaging system. The removal is not logged and the message is not redirected to another location. If no value is defined for a given destination (i.e., None), then expired messages are discarded.

  Log - Removes expired messages from the system and writes an entry to the server log file indicating that the messages have been removed from the system. The actual information that is logged is defined by the Expiration Logging Policy.

  Redirect - Moves expired messages from their current location to the Error Destination defined for the destination. The message retains its body, and all of its properties. The message also retains all of its header fields, but with the following exceptions:

  - The destination for the message becomes the error destination.
  - All property overrides associated with the error destination are applied to the redirected message.
  - If there is no Time-To-Live Override value set for the error destination, then the message receives a new Expiration Time of zero (indicating that it will not expire again).

  It is illegal to use the Redirect policy when there is no valid error destination defined for the destination. Similarly, it is illegal to remove the error destination for a destination that is using the Redirect policy.

  Note: The Maximum Message quota is only enforced for sending new messages. It is ignored when moving messages because of the Redirect policy.

  A dynamic MBean attribute
  Legal Value: JMSLegalHelper.legalAMEPolicy(self, value)
  Legal Values: JMSConstants.DISCARD,JMSConstants.LOGGING,JMSConstants.ERRORDESTINATION

### getExpirationPolicy

    public java.lang.String getExpirationPolicy()

  The message Expiration Policy to use when an expired message is encountered on a destination. The valid expiration policies are:

  None - Same as the Discard policy; expired messages are simply removed from the destination.

  Discard - Removes expired messages from the messaging system. The removal is not logged and the message is not redirected to another location. If no value is defined for a given destination (i.e., None), then expired messages are discarded.

  Log - Removes expired messages from the system and writes an entry to the server log file indicating that the messages have been removed from the system. The actual information that is logged is defined by the Expiration Logging Policy.

  Redirect - Moves expired messages from their current location to the Error Destination defined for the destination. The message retains its body, and all of its properties. The message also retains all of its header fields, but with the following exceptions:

  - The destination for the message becomes the error destination.
  - All property overrides associated with the error destination are applied to the redirected message.
  - If there is no Time-To-Live Override value for the error destination, then the message receives a new Expiration Time of zero (indicating that it will not expire again).

  It is illegal to use the Redirect policy when there is no valid error destination defined for the destination. Similarly, it is illegal to remove the error destination for a destination that is using the Redirect policy.

  Note: The Maximum Message quota is only enforced for sending new messages. It is ignored when moving messages because of the Redirect policy.

### setExpirationLoggingPolicy

    public void setExpirationLoggingPolicy(java.lang.String jmsPolicyString)

  The policy that defines what information about the message is logged when the Expiration Policy is set to Log. The valid logging policy values are:

  - %header% - All JMS header fields are logged.
  - %properties% - All user-defined properties are logged.
  - JMSDeliveryTime - This WebLogic JMS-specific extended header field is logged.
  - JMSRedeliveryLimit - This WebLogic JMS-specific extended header field is logged.
  - foo - Any valid JMS header field or user-defined property is logged.

  When specifying multiple values, enter them as a comma-separated list. The `%header%` and `%properies%` values are not case sensitive. For example, you could use `"%header%,%properties%"` for all the JMS header fields and user properties. However, the enumeration of individual JMS header fields and user-defined properties are case sensitive. To enumerate only individual JMS header fields you could use `"%header, name, address, city, state, zip"`.

  Note: The `JMSMessageID` field is always logged and cannot be turned off. Therefore, if the Expiration Logging Policy is not defined (i.e., null) or is defined as an empty string, then the output to the log file contains only the `JMSMessageID` of the message.

  A dynamic MBean attribute

### getExpirationLoggingPolicy

    public java.lang.String getExpirationLoggingPolicy()

  The policy that defines what information about the message is logged when the Expiration Policy is set to Log. The valid logging policy values are:

  - %header% - All JMS header fields are logged.
  - %properties% - All user-defined properties are logged.
  - JMSDeliveryTime - This WebLogic JMS-specific extended header field is logged.
  - JMSRedeliveryLimit - This WebLogic JMS-specific extended header field is logged.
  - foo - Any valid JMS header field or user-defined property is logged.

  When specifying multiple values, enter them as a comma-separated list. The `%header%` and `%properies%` values are not case sensitive. For example, you could use `"%header%,%properties%"` for all the JMS header fields and user properties. However, the enumeration of individual JMS header fields and user-defined properties are case sensitive. To enumerate only individual JMS header fields you could use `"%header, name, address, city, state, zip"`.

  Note: The `JMSMessageID` field is always logged and cannot be turned off. Therefore, if the Expiration Logging Policy is not defined (i.e., null) or is defined as an empty string, then the output to the log file contains only the `JMSMessageID` of the message.

### getMaximumMessageSize

    public int getMaximumMessageSize()

  The maximum size of a message that will be accepted from producers on this destination. The message size includes the message body, any user-defined properties, and the user-defined JMS header fields: `JMSCorrelationID` and `JMSType`. Producers sending messages that exceed the configured maximum message size for the destination receive a `ResourceAllocationException`.

  The maximum message size is only enforced for the initial production of a message. Messages that are redirected to an error destination or forwarded to a member of a distributed destination are not checked for size. For instance, if a destination and its corresponding error destination are configured with a maximum message size of 128K bytes and 64K bytes, respectively, a message of 96K bytes could be redirected to the error destination (even though it exceeds the 64K byte maximum), but a producer could not directly send the 96K byte message to the error destination.

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  A dynamic MBean attribute
  Default Value: java.lang.Integer.MAX_VALUE
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Integer.MAX_VALUE

### setMaximumMessageSize

    public void setMaximumMessageSize(int maxMessageSize)
                               throws javax.management.InvalidAttributeValueException,
                                      DistributedManagementException

  The maximum size of a message that will be accepted from producers on this destination. The message size includes the message body, any user-defined properties, and the user-defined JMS header fields: `JMSCorrelationID` and `JMSType`. Producers sending messages that exceed the configured maximum message size for the destination receive a `ResourceAllocationException`.

  The maximum message size is only enforced for the initial production of a message. Messages that are redirected to an error destination or forwarded to a member of a distributed destination are not checked for size. For instance, if a destination and its corresponding error destination are configured with a maximum message size of 128K bytes and 64K bytes, respectively, a message of 96K bytes could be redirected to the error destination (even though it exceeds the 64K byte maximum), but a producer could not directly send the 96K byte message to the error destination.

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  A dynamic MBean attribute
  Default Value: java.lang.Integer.MAX_VALUE
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Integer.MAX_VALUE

### setCreationTime

    public void setCreationTime(long time)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD